Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.time
Class TimeDatumDependentDuration

author:
  John Wilson tug@wilson.co.uk

TimeDatumDuration represents a time perid which results from an arithmetic operation between a TimeDuration object and a DatumDuration object

Constructor Summary
`TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`From` | `getFrom()`
`DatumDependentDuration` | `minus(Duration rhs)`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(Duration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`

Constructor Detail

### TimeDatumDependentDuration

    public TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getFrom

    public From getFrom()

### minus

    public DatumDependentDuration minus(Duration rhs)

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(Duration rhs)

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)